Page MenuHomePhabricator

[mips][PR19612] Fix va_arg for big-endian mode.
ClosedPublic

Authored by dsanders on Jul 17 2014, 5:14 AM.

Details

Summary

Big-endian mode was not correctly adjusting the offset for types smaller
than an ABI slot.

Fixes PR19612

Diff Detail

Event Timeline

dsanders updated this revision to Diff 11570.Jul 17 2014, 5:14 AM
dsanders retitled this revision from to [mips][PR19612] Fix va_arg for big-endian mode..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a subscriber: Unknown Object (MLST).
dsanders removed a subscriber: Unknown Object (MLST).Jul 31 2014, 9:36 AM
dsanders added a subscriber: Unknown Object (MLST).
dsanders accepted this revision.Aug 1 2014, 2:25 AM
dsanders added a reviewer: dsanders.
This revision is now accepted and ready to land.Aug 1 2014, 2:25 AM
dsanders closed this revision.Aug 1 2014, 2:26 AM